ColumnStatisticsImpl (ORC Core 1.6.5 API)
Date: 2020-10-01

org.apache.orc.impl

## Class ColumnStatisticsImpl

- java.lang.Object
- - org.apache.orc.impl.ColumnStatisticsImpl

- All Implemented Interfaces:
    ColumnStatistics
  Direct Known Subclasses:
    ColumnStatisticsImpl.BinaryStatisticsImpl, ColumnStatisticsImpl.StringStatisticsImpl

      public class ColumnStatisticsImpl
      extends Object
      implements ColumnStatistics

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `ColumnStatisticsImpl.BinaryStatisticsImpl`
    `protected static class` | `ColumnStatisticsImpl.StringStatisticsImpl`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `count`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ColumnStatisticsImpl` | `create(TypeDescription schema)`
    `static ColumnStatisticsImpl` | `create(TypeDescription schema, boolean convertToProleptic)`
    `static ColumnStatisticsImpl` | `deserialize(TypeDescription schema, OrcProto.ColumnStatistics stats)`
    `static ColumnStatisticsImpl` | `deserialize(TypeDescription schema, OrcProto.ColumnStatistics stats, boolean writerUsedProlepticGregorian, boolean convertToProlepticGregorian)`
    `boolean` | `equals(Object o)`
    `long` | `getBytesOnDisk()` Get the number of bytes for this column.
    `long` | `getNumberOfValues()` Get the number of values in this column.
    `int` | `hashCode()`
    `boolean` | `hasNull()` Returns true if there are nulls in the scope of column statistics.
    `void` | `increment()`
    `void` | `increment(int count)`
    `boolean` | `isStatsExists()`
    `void` | `merge(ColumnStatisticsImpl stats)`
    `void` | `reset()`
    `OrcProto.ColumnStatistics.Builder` | `serialize()`
    `void` | `setNull()`
    `String` | `toString()`
    `void` | `updateBinary(byte[] bytes, int offset, int length, int repetitions)`
    `void` | `updateBinary(BytesWritable value)`
    `void` | `updateBoolean(boolean value, int repetitions)`
    `void` | `updateByteCount(long size)`
    `void` | `updateCollectionLength(long value)` Update the collection length for Map and List type.
    `void` | `updateDate(DateWritable value)`
    `void` | `updateDate(int value)`
    `void` | `updateDecimal(HiveDecimalWritable value)`
    `void` | `updateDecimal64(long value, int scale)`
    `void` | `updateDouble(double value)`
    `void` | `updateInteger(long value, int repetitions)`
    `void` | `updateString(byte[] bytes, int offset, int length, int repetitions)`
    `void` | `updateString(Text value)`
    `void` | `updateTimestamp(long value, int nanos)`
    `void` | `updateTimestamp(Timestamp value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### count

          protected long count

  - ### Method Detail

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### increment

          public void increment()

    - #### increment

          public void increment(int count)

    - #### updateByteCount

          public void updateByteCount(long size)

    - #### setNull

          public void setNull()

    - #### updateCollectionLength

          public void updateCollectionLength(long value)

      Update the collection length for Map and List type.
      Parameters:
        `value` - length of collection

    - #### updateBoolean

          public void updateBoolean(boolean value,
                                    int repetitions)

    - #### updateInteger

          public void updateInteger(long value,
                                    int repetitions)

    - #### updateDouble

          public void updateDouble(double value)

    - #### updateString

          public void updateString(Text value)

    - #### updateString

          public void updateString(byte[] bytes,
                                   int offset,
                                   int length,
                                   int repetitions)

    - #### updateBinary

          public void updateBinary(BytesWritable value)

    - #### updateBinary

          public void updateBinary(byte[] bytes,
                                   int offset,
                                   int length,
                                   int repetitions)

    - #### updateDecimal

          public void updateDecimal(HiveDecimalWritable value)

    - #### updateDecimal64

          public void updateDecimal64(long value,
                                      int scale)

    - #### updateDate

          public void updateDate(DateWritable value)

    - #### updateDate

          public void updateDate(int value)

    - #### updateTimestamp

          public void updateTimestamp(Timestamp value)

    - #### updateTimestamp

          public void updateTimestamp(long value,
                                      int nanos)

    - #### isStatsExists

          public boolean isStatsExists()

    - #### merge

          public void merge(ColumnStatisticsImpl stats)

    - #### reset

          public void reset()

    - #### getNumberOfValues

          public long getNumberOfValues()

      Description copied from interface: `ColumnStatistics`
      Get the number of values in this column. It will differ from the number of rows because of NULL values and repeated values.
      Specified by:
        `getNumberOfValues` in interface `ColumnStatistics`
      Returns:
        the number of values

    - #### hasNull

          public boolean hasNull()

      Description copied from interface: `ColumnStatistics`
      Returns true if there are nulls in the scope of column statistics.
      Specified by:
        `hasNull` in interface `ColumnStatistics`
      Returns:
        true if null present else false

    - #### getBytesOnDisk

          public long getBytesOnDisk()

      Get the number of bytes for this column.
      Specified by:
        `getBytesOnDisk` in interface `ColumnStatistics`
      Returns:
        the number of bytes

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### serialize

          public OrcProto.ColumnStatistics.Builder serialize()

    - #### create

          public static ColumnStatisticsImpl create(TypeDescription schema)

    - #### create

          public static ColumnStatisticsImpl create(TypeDescription schema,
                                                    boolean convertToProleptic)

    - #### deserialize

          public static ColumnStatisticsImpl deserialize(TypeDescription schema,
                                                         OrcProto.ColumnStatistics stats)

    - #### deserialize

          public static ColumnStatisticsImpl deserialize(TypeDescription schema,
                                                         OrcProto.ColumnStatistics stats,
                                                         boolean writerUsedProlepticGregorian,
                                                         boolean convertToProlepticGregorian)

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.